Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class UserAlreadyExistsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--gnu.crypto.sasl.UserAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

public class UserAlreadyExistsException
extends SaslException

A checked exception thrown to indicate that a designated user is already known to the the authentication layer.

See Also:
  Serialized Form

Constructor Summary
`UserAlreadyExistsException()` Constructs a `UserAlreadyExistsException` with no detail message.
`UserAlreadyExistsException(java.lang.String userName)` Constructs a `UserAlreadyExistsException` with the specified detail message.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAlreadyExistsException

    public UserAlreadyExistsException()

  Constructs a `UserAlreadyExistsException` with no detail message.

### UserAlreadyExistsException

    public UserAlreadyExistsException(java.lang.String userName)

  Constructs a `UserAlreadyExistsException` with the specified detail message. In the case of this exception, the detail message designates the offending username.

Parameters:
  `userName` - the detail message, which in this case is the username.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.